Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaMultipleConsensusViewer

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.utils.CinemaMultipleConsensusViewer

All Implemented Interfaces:
  ActionListener, AlignmentEventProvider, EventListener, PropertyChangeListener

public class CinemaMultipleConsensusViewer
extends CinemaModule
implements PropertyChangeListener, ActionListener

CinemaMultipleConsensusViewer.java Created: Fri Jun 23 12:09:24 2000

Version:
  $Id: CinemaMultipleConsensusViewer.java,v 1.7 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaMultipleConsensusViewer()`

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`void` | `addConsensusSequence(ConsensusSequence sequence)`
`void` | `destroy()` The method called, from an external source, to remove this module and prepare it for garbage collection.
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`String` | `getVersion()` Returns the version of this module.
`void` | `load()` The method called for the load of this module.
`void` | `propertyChange(PropertyChangeEvent evt)`
`void` | `removeConsensusSequence(ConsensusSequence sequence)`
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaMultipleConsensusViewer

    public CinemaMultipleConsensusViewer()

Method Detail

### load

    public void load()

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### addConsensusSequence

    public void addConsensusSequence(ConsensusSequence sequence)

### removeConsensusSequence

    public void removeConsensusSequence(ConsensusSequence sequence)

### destroy

    public void destroy()

  Description copied from class: `Module`
  The method called, from an external source, to remove this module and prepare it for garbage collection.

  Overrides:
    `destroy` in class `CinemaModule`

### actionPerformed

    public void actionPerformed(ActionEvent event)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `CinemaModule`
  Returns:
    the required module identifiers

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD